<div>
  <div class="scorecard-details__header">
    <PixReturnTo @route="authenticated.profile">{{t "navigation.back-to-profile"}}</PixReturnTo>
  </div>

  <div class="scorecard-details__content">
    <div class="scorecard-details-content__left">
      <div class="scorecard-details-content-left__area scorecard-details-content-left__area--{{@scorecard.area.color}}">
        {{@scorecard.area.title}}
      </div>
      <h1 class="scorecard-details-content-left__name">
        {{@scorecard.name}}
      </h1>
      <div class="scorecard-details-content-left__description">
        {{@scorecard.description}}
      </div>
    </div>

    <div class="scorecard-details-content__right">

      {{#if @scorecard.isFinished}}
        <div class="scorecard-details-content-right__score-container">
          {{#if this.displayCongrats}}
            <div class="competence-card__congrats">
              <div class="competence-card__level competence-card__level--congrats">
                <span class="score-label competence-card__score-label--congrats">{{t "common.level"}}</span>
                <span
                  class="score-value competence-card__score-value competence-card__score-value--congrats"
                >{{@scorecard.level}}</span>
              </div>
            </div>
          {{else}}
            <CircleChart
              @value={{@scorecard.capedPercentageAheadOfNextLevel}}
              @sliceColor={{@scorecard.area.color}}
              @chartClass="circle-chart__content--big"
              @thicknessClass="circle--thick"
              role="img"
              aria-label="{{scorecard-aria-label @scorecard}}"
            >
              <div class="competence-card__level">
                <span class="score-label">{{t "common.level"}}</span>
                <span class="score-value">{{replace-zero-by-dash @scorecard.level}}</span>
              </div>
            </CircleChart>
          {{/if}}

          <div class="scorecard-details-content-right-score-container__pix-earned">
            <div class="score-label">{{t "common.score"}}</div>
            <div class="score-value">{{replace-zero-by-dash @scorecard.earnedPix}}</div>
          </div>
        </div>

        {{#if this.displayImprovingWaitSentence}}
          <div class="scorecard-details__improvement-countdown">
            <span class="scorecard-details-improvement-countdown__label">{{t
                "pages.competence-details.actions.improve.description.waiting-text"
              }}</span>
            <span class="scorecard-details-improvement-countdown__count">{{t
                "pages.competence-details.actions.improve.description.countdown"
                daysBeforeImproving=@scorecard.remainingDaysBeforeImproving
              }}</span>
          </div>
        {{/if}}

        {{#if this.displayCongrats}}
          <div class="scorecard-details__congrats">
            <span class="scorecard-details-congrats__label">{{t
                "pages.competence-details.congrats"
              }}</span>
          </div>
        {{/if}}

        {{#if this.displayImprovingButton}}
          <PixButton
            class="scorecard-details__improve-button"
            @shape="rounded"
            @backgroundColor="green"
            @triggerAction={{this.improveCompetenceEvaluation}}
          >
            {{t "pages.competence-details.actions.improve.label"}}
            <span class="sr-only">{{t "pages.competence-details.for-competence" competence=@scorecard.name}}</span>
          </PixButton>
          <span class="scorecard-details__improving-text">{{t
              "pages.competence-details.actions.improve.improvingText"
            }}</span>
        {{/if}}

        {{#if this.displayResetButton}}
          <PixButton
            id="reset-button-finished"
            class="scorecard-details__reset-button"
            @backgroundColor="transparent-light"
            @isBorderVisible={{true}}
            @shape="rounded"
            @triggerAction={{this.openModal}}
          >
            {{t "pages.competence-details.actions.reset.label"}}
            <span class="sr-only">{{t "pages.competence-details.for-competence" competence=@scorecard.name}}</span>
          </PixButton>
        {{/if}}

        {{#if this.displayResetWaitSentence}}
          <p class="scorecard-details-content-right__reset-message">{{t
              "pages.competence-details.actions.reset.description"
              daysBeforeReset=@scorecard.remainingDaysBeforeReset
            }}</p>
        {{/if}}
      {{/if}}

      {{#if @scorecard.isStarted}}
        <div class="scorecard-details-content-right__score-container">
          <CircleChart
            @value={{@scorecard.capedPercentageAheadOfNextLevel}}
            @sliceColor={{@scorecard.area.color}}
            @chartClass="circle-chart__content--big"
            @thicknessClass="circle--thick"
            role="img"
            aria-label="{{scorecard-aria-label @scorecard}}"
          >
            <div class="competence-card__level">
              <span class="score-label">{{t "common.level"}}</span>
              <span class="score-value">{{replace-zero-by-dash @scorecard.level}}</span>
            </div>
          </CircleChart>

          <div class="scorecard-details-content-right-score-container__pix-earned">
            <div class="score-label">{{t "common.score"}}</div>
            <div class="score-value">{{replace-zero-by-dash @scorecard.earnedPix}}</div>
          </div>
        </div>

        {{#if this.displayRemainingPixToNextLevel}}
          <div class="scorecard-details-content-right__level-info">
            {{t
              "pages.competence-details.next-level-info"
              remainingPixToNextLevel=@scorecard.remainingPixToNextLevel
              level=(inc @scorecard.level)
            }}
          </div>
        {{/if}}

        <LinkTo
          @route="authenticated.competences.resume"
          @model={{@scorecard.competenceId}}
          class="button button--big button--thin button--round button--link button--green scorecard-details__resume-or-start-button"
        >
          {{t "pages.competence-details.actions.continue.label"}}
          <span class="sr-only">{{t "pages.competence-details.for-competence" competence=@scorecard.name}}</span>
        </LinkTo>

        {{#if this.displayResetButton}}
          <PixButton
            id="reset-button-started"
            class="scorecard-details__reset-button"
            @backgroundColor="transparent-light"
            @isBorderVisible={{true}}
            @shape="rounded"
            @triggerAction={{this.openModal}}
          >
            {{t "pages.competence-details.actions.reset.label"}}
            <span class="sr-only">{{t "pages.competence-details.for-competence" competence=@scorecard.name}}</span>
          </PixButton>
        {{/if}}

        {{#if this.displayResetWaitSentence}}
          <p class="scorecard-details-content-right__reset-message">{{t
              "pages.competence-details.actions.reset.description"
              daysBeforeReset=@scorecard.remainingDaysBeforeReset
            }}</p>
        {{/if}}
      {{/if}}

      {{#if @scorecard.isNotStarted}}
        <LinkTo
          @route="authenticated.competences.resume"
          @model={{@scorecard.competenceId}}
          class="button button--big button--thin button--round button--link button--green scorecard-details__resume-or-start-button"
        >
          {{t "pages.competence-details.actions.start.label"}}
          <span class="sr-only">{{t "pages.competence-details.for-competence" competence=@scorecard.name}}</span>
        </LinkTo>
      {{/if}}
    </div>
  </div>
  {{#if this.tutorialsGroupedByTubeName}}
    <div class="scorecard-details__content">
      <div class="tutorials">
        <div class="tutorials__header">
          <h2 class="tutorials-header__title">{{t "pages.competence-details.tutorials.title"}}</h2>
          <p class="tutorials-header__description">{{t "pages.competence-details.tutorials.description"}}</p>
        </div>
        <div>
          {{#each this.tutorialsGroupedByTubeName as |tube|}}
            <div class="tube">
              <h3 class="tube__title">{{tube.practicalTitle}}</h3>
              <ul class="tube__content">
                {{#each tube.tutorials as |tutorial|}}
                  <Tutorials::Card @tutorial={{tutorial}} />
                {{/each}}
              </ul>
            </div>
          {{/each}}
        </div>
      </div>
    </div>
  {{/if}}
</div>
<PixModal
  @title={{t "pages.competence-details.actions.reset.modal.title" scoreCardName=@scorecard.name}}
  @onCloseButtonClick={{this.closeModal}}
  @showModal={{this.showResetModal}}
>
  <:content>
    <h2 class="scorecard-details-reset-modal__important-message">
      {{#if @scorecard.hasNotReachedLevelOne}}
        {{t
          "pages.competence-details.actions.reset.modal.important-message"
          earnedPix=@scorecard.earnedPix
          scoreCardName=@scorecard.name
        }}
      {{else if @scorecard.hasReachedAtLeastLevelOne}}
        {{t
          "pages.competence-details.actions.reset.modal.important-message-above-level-one"
          level=@scorecard.level
          earnedPix=@scorecard.earnedPix
          scoreCardName=@scorecard.name
        }}
      {{/if}}
    </h2>
    <div class="scorecard-details-reset-modal__warning">
      <p>{{t "pages.competence-details.actions.reset.modal.warning.header"}}</p>
      <ul class="scorecard-details-reset-modal__list">
        <li class="scorecard-details-reset-modal-list__item">{{t
            "pages.competence-details.actions.reset.modal.warning.ongoing-assessment"
          }}</li>
        <li class="scorecard-details-reset-modal-list__item">{{t
            "pages.competence-details.actions.reset.modal.warning.certification"
          }}</li>
      </ul>
    </div>
  </:content>
  <:footer>
    <ul class="scorecard-details-reset-modal__footer">
      <li>
        <PixButton @backgroundColor="transparent-light" @isBorderVisible={{true}} @triggerAction={{this.closeModal}}>
          {{t "common.actions.cancel"}}
        </PixButton>
      </li>
      <li>
        <PixButton id="pix-modal-footer__button-reset" @backgroundColor="red" @triggerAction={{this.reset}}>
          {{t "pages.competence-details.actions.reset.label"}}
        </PixButton>
      </li>
    </ul>
  </:footer>
</PixModal>